CO_epoll_t Struct Reference
socketCAN » Epoll interface

Object for epoll, timer and event API. More...

`#include <CO_epoll_interface.h>`

## Data Fields

int | epoll_fd
| Epoll file descriptor.
int | event_fd
| Notification event file descriptor.
int | timer_fd
| Interval timer file descriptor.
uint32_t | timerInterval_us
| Interval of the timer in microseconds, from CO_epoll_create()
uint32_t | timeDifference_us
| Time difference since last CO_epoll_wait() execution in microseconds.
uint32_t | timerNext_us
| Timer value in microseconds, which can be changed by application and can shorten time of next CO_epoll_wait() execution.
bool_t | timerEvent
| True,if timer event is inside CO_epoll_wait()
uint64_t | previousTime_us
| time value from the last process call in microseconds
struct itimerspec | tm
| Structure for timerfd.
struct epoll_event | ev
| Structure for epoll_wait.
bool_t | epoll_new
| true, if new epoll event is necessary to process

## Detailed Description

Object for epoll, timer and event API.

The documentation for this struct was generated from the following file:

- socketCAN/CO_epoll_interface.h